{{page-title @model.campaign.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.campaign.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      <Manage::ViewMode @value={{this.manageListStore}} />

      <div class="float-end">
        {{#if @model.campaign.canEdit}}
          <LinkTo @route="manage.surveys.edit" @model={{@model.campaign.id}} class="btn btn-campaign-edit">
            <FaIcon @icon="pencil-alt" />
            {{capitalize (t "survey")}}
          </LinkTo>
        {{/if}}
      </div>

      <div class="clearfix"></div>
    </:extra>

    <:content>
      <div class="row">
        <div class="col">
          <div class="row {{if (eq this.manageListStore.viewMode "grid") "row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4"}} mb-5">
            <Manage::SelectableList @query={{this.query}} @value={{@model.answers}} @reload={{@model.reload}} as |answer
              selection onSelect|>

              {{#if (eq this.manageListStore.viewMode "grid")}}
                <div class="col">
                  <Manage::Card class="card-dashboard-answer" @selection={{selection}} @onSelect={{onSelect}}
                    @record={{answer}} @onDelete={{this.deleteRecord}} @onClick={{fn this.browseAnswer answer.id}}>
                    <:content>
                      <Article::FirstParagraph @contentBlocks={{answer.contentBlocks}} />
                    </:content>
                  </Manage::Card>
                </div>
              {{/if}}

              {{#if (eq this.manageListStore.viewMode "list")}}
                <Manage::ListRow class="row-dashboard-answer" @selection={{selection}} @onSelect={{onSelect}} @useAuthor={{true}}
                  @record={{answer}} @onDelete={{this.deleteRecord}} @onClick={{fn this.browseAnswer answer.id}}>

                </Manage::ListRow>
              {{/if}}
            </Manage::SelectableList>
          </div>
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}